de.esprit.appsuite.nls

## Interface NlsKey

- All Superinterfaces:
    java.io.Serializable
  All Known Subinterfaces:
    CheckOption, ErrorType, EspritPermission, FileType, NlsActionKey, NlsDatabaseKey, NlsToolTipKey
  All Known Implementing Classes:
    ABOPermission, ArchiveTaskOption, BatchTaskManagerPermission, CheckOptionWrapper, ClientErrorType, CompressionLevel, Country, DatabaseManagerPermission, DBColumnKey, DynamicDatabaseKey, EditMode, ExTaskOption, FilterType, INodeType, Language, LogLevel, MessageDialogType, NetMessageType, NlsTemplate, NumericalPrecision, OsFileType, ProductModule, RawActionKey, RawDatabaseKey, RawNlsKey, RunState, ServerErrorType, SessionManagerPermission, SortMode, StandardDirectoryPermission, StandardEspritPermission, StandardFilePermission, StandardTaskOption, TimeSpan, TrEasAction, TrEasConfirm, TrEasField, TrEasGui, TrEasMenu, TrEasMsg, TrEasWindow, TrEnsAction, TrEnsConfirm, TrEnsField, TrEnsGui, TrEnsMenu, TrEnsMsg, TrEnsStat, TrEnsWindow, UserManagerPermission, ZErrorType

      public interface NlsKey
      extends java.io.Serializable

  This interface must be implemented by enum types that define translation keys
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SUB_KEY_ACTION`
    `static java.lang.String` | `SUB_KEY_COLUMN`
    `static java.lang.String` | `SUB_KEY_CONFIRM`
    `static java.lang.String` | `SUB_KEY_CONST`
    `static java.lang.String` | `SUB_KEY_DBO`
    `static java.lang.String` | `SUB_KEY_DEMO`
    `static java.lang.String` | `SUB_KEY_ERROR`
    `static java.lang.String` | `SUB_KEY_FIELD`
    `static java.lang.String` | `SUB_KEY_GUI`
    `static java.lang.String` | `SUB_KEY_HELP`
    `static java.lang.String` | `SUB_KEY_INFO`
    `static java.lang.String` | `SUB_KEY_LABEL`
    `static java.lang.String` | `SUB_KEY_MENU`
    `static java.lang.String` | `SUB_KEY_MESSAGE`
    `static java.lang.String` | `SUB_KEY_MISC`
    `static java.lang.String` | `SUB_KEY_STATUS`
    `static java.lang.String` | `SUB_KEY_TIP`
    `static java.lang.String` | `SUB_KEY_TOOL`
    `static java.lang.String` | `SUB_KEY_WINDOW`
    `static java.lang.String` | `SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `java.lang.String` | `name()` Returns the last name part of the key (same as Enum.name()).

- - ### Field Detail

    - #### SUB_KEY_ACTION

          static final java.lang.String SUB_KEY_ACTION

      See Also:
        Constant Field Values

    - #### SUB_KEY_DBO

          static final java.lang.String SUB_KEY_DBO

      See Also:
        Constant Field Values

    - #### SUB_KEY_MESSAGE

          static final java.lang.String SUB_KEY_MESSAGE

      See Also:
        Constant Field Values

    - #### SUB_KEY_ERROR

          static final java.lang.String SUB_KEY_ERROR

      See Also:
        Constant Field Values

    - #### SUB_KEY_GUI

          static final java.lang.String SUB_KEY_GUI

      See Also:
        Constant Field Values

    - #### SUB_KEY_CONST

          static final java.lang.String SUB_KEY_CONST

      See Also:
        Constant Field Values

    - #### SUB_KEY_CONFIRM

          static final java.lang.String SUB_KEY_CONFIRM

      See Also:
        Constant Field Values

    - #### SUB_KEY_WINDOW

          static final java.lang.String SUB_KEY_WINDOW

      See Also:
        Constant Field Values

    - #### SUB_KEY_MENU

          static final java.lang.String SUB_KEY_MENU

      See Also:
        Constant Field Values

    - #### SUB_KEY_FIELD

          static final java.lang.String SUB_KEY_FIELD

      See Also:
        Constant Field Values

    - #### SUB_KEY_LABEL

          static final java.lang.String SUB_KEY_LABEL

      See Also:
        Constant Field Values

    - #### SUB_KEY_COLUMN

          static final java.lang.String SUB_KEY_COLUMN

      See Also:
        Constant Field Values

    - #### SUB_KEY_HELP

          static final java.lang.String SUB_KEY_HELP

      See Also:
        Constant Field Values

    - #### SUB_KEY_STATUS

          static final java.lang.String SUB_KEY_STATUS

      See Also:
        Constant Field Values

    - #### SUB_KEY_TIP

          static final java.lang.String SUB_KEY_TIP

      See Also:
        Constant Field Values

    - #### SUB_KEY_DEMO

          static final java.lang.String SUB_KEY_DEMO

      See Also:
        Constant Field Values

    - #### SUB_KEY_INFO

          static final java.lang.String SUB_KEY_INFO

      See Also:
        Constant Field Values

    - #### SUB_KEY_TOOL

          static final java.lang.String SUB_KEY_TOOL

      See Also:
        Constant Field Values

    - #### SUB_KEY_WORKFLOW

          static final java.lang.String SUB_KEY_WORKFLOW

      See Also:
        Constant Field Values

    - #### SUB_KEY_MISC

          static final java.lang.String SUB_KEY_MISC

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAppKey

          java.lang.String getAppKey()

      Returns the base prefix of the key

    - #### getSubKey

          java.lang.String getSubKey()

      Returns the path of the key

    - #### getText

          java.lang.String getText(java.lang.Object... args)

      Returns the translated text, which is the value of the translation key as stored in the translation map.

    - #### name

          java.lang.String name()

      Returns the last name part of the key (same as Enum.name()).

Copyright © 2014 EsprIT-Systems. All Rights Reserved.